> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openvinyl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List derived-field rules

> How derived values are made (speed from size, pressing plant from runout marks, earliest year, ...) and how well each rule tested on the latest build: values added, rows tested, precision, and holdout precision.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/derived/rules
openapi: 3.1.0
info:
  title: Open Vinyl API
  description: >-
    Open catalog of vinyl albums and pressings built from Discogs (CC0),
    MusicBrainz (CC0), Wikidata (CC0) and Cover Art Archive links.
  version: 0.2.0
servers:
  - url: https://api.openvinyl.dev
    description: Open Vinyl API
  - url: http://127.0.0.1:8000
    description: self-hosted (openvinyl serve)
security:
  - {}
  - apiKey: []
paths:
  /v1/derived/rules:
    get:
      tags:
        - Data quality
      summary: List derived-field rules
      description: >-
        How derived values are made (speed from size, pressing plant from runout
        marks, earliest year, ...) and how well each rule tested on the latest
        build: values added, rows tested, precision, and holdout precision.
      operationId: derived_rules_v1_derived_rules_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Derived Rules V1 Derived Rules Get
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ov_live_…
      description: >-
        Optional. Keys raise the rate limit; without one, requests are limited
        per IP.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.